Bug 35725 - synaptic закрывается сразу после запуска
Summary: synaptic закрывается сразу после запуска
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: synaptic (show other bugs)
Version: unstable
Hardware: all Linux
: P3 normal
Assignee: Aleksei Nikiforov
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks: 33000
  Show dependency tree
 
Reported: 2018-12-04 12:49 MSK by Антон Мидюков
Modified: 2018-12-04 22:57 MSK (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Антон Мидюков 2018-12-04 12:49:31 MSK
synaptic закрывается сразу после запуска.

synaptic 
Freeing read locks for locker 0x3: 1666/139973646191104
Freeing read locks for locker 0x4: 1666/139973646191104
double free or corruption (fasttop)

Видимо,виновато последнее обновление:

2018-11-27 Ivan Razzhivin

- Add a patch for reset scroll position to zero point

Проблема на сегодняшних регулярках и в live и после установки.
Comment 1 Aleksei Nikiforov 2018-12-04 13:04:13 MSK
Это обновление виновато лишь косвенно. Проблема в сборке старого кривого кода с новым gcc 8.

Есть патч, который для меня исправляет данное либо похоже падение.

http://git.altlinux.org/people/darktemplar/packages/?p=synaptic.git;a=blob;f=synaptic-0.58-alt-gcc8-crash-fix.patch;h=7c1acba9a0e786fbf1562e7cf7823e0c589aa8b4;hb=08baa5f1300efd39378099f284ad2158d6a56c78

Сейчас оно ждёт аппрува в задании #199955, поскольку также содержит другие изменения, нужные для новой версии apt, но при желании можно попробовать пересобрать и проверить synaptic отдельно с указанным патчем.
Comment 2 Антон Мидюков 2018-12-04 13:13:12 MSK
Алексей, можете сегодня собрать только с одним этим патчем тестовое задание?
Comment 3 Aleksei Nikiforov 2018-12-04 14:30:33 MSK
Сделал тестовое задание #217276. Если данная проблема не воспроизводится с этим заданием, и других новых проблем не видно, то я могу это отправить в Sisyphus.
Comment 4 Антон Мидюков 2018-12-04 15:46:12 MSK
(В ответ на комментарий №3)
> Сделал тестовое задание #217276. Если данная проблема не воспроизводится с этим
> заданием, и других новых проблем не видно, то я могу это отправить в Sisyphus.


Исправляет. Отправьте, пожалуйста.
Comment 5 Repository Robot 2018-12-04 22:57:59 MSK
synaptic-0.58-alt18 -> sisyphus:

Thu Nov 29 2018 Aleksei Nikiforov <darktemplar@altlinux> 0.58-alt18
- NMU: Fixed crash when building using gcc-8 (Closes: #35725)